Decline a change of a request
curl --request POST \
--url https://api.absentify.com/api/v1/requests/{id}/changes/{changeId}/decline \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"decline_reason": "<string>",
"revision": 123
}
'import requests
url = "https://api.absentify.com/api/v1/requests/{id}/changes/{changeId}/decline"
payload = {
"decline_reason": "<string>",
"revision": 123
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({decline_reason: '<string>', revision: 123})
};
fetch('https://api.absentify.com/api/v1/requests/{id}/changes/{changeId}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"change": {
"id": 0,
"revision": 0,
"kind": "reason",
"status": "pending",
"previous": {
"start": "<string>",
"end": "<string>",
"start_at": "morning",
"end_at": "lunchtime",
"leave_type": {
"id": "<string>",
"name": "<string>"
},
"duration": 123,
"workday_absence_duration": 123,
"reason": "<string>"
},
"proposed": {
"start": "<string>",
"end": "<string>",
"start_at": "morning",
"end_at": "lunchtime",
"leave_type": {
"id": "<string>",
"name": "<string>"
},
"duration": 123,
"workday_absence_duration": 123,
"reason": "<string>"
},
"changed_by": {
"id": "<string>",
"name": "<string>"
},
"decided_by": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"decided_at": "<string>",
"decision_reason": "<string>"
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Requests
Decline a change of a request
Decline the pending change of an approved request on behalf of the user who created the API token. Only the approvers of the change (or an admin) can do this. The request stays as it was and the requester gets the reason. Fails with 409 when the change is no longer pending or when revision does not match the request.
POST
/
requests
/
{id}
/
changes
/
{changeId}
/
decline
Decline a change of a request
Authorizations
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Required range:
x <= 9007199254740991Body
application/json
Was this page helpful?